Commit 53666ff6 authored by Natanael Copa's avatar Natanael Copa

x11/libxmu: new aport

X11 miscellaneous micro-utility library
parent 07a88a4d
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libxmu
pkgver=1.0.4
pkgrel=0
pkgdesc="X11 miscellaneous micro-utility library"
url="http://xorg.freedesktop.org/"
license="custom"
subpackages="$pkgname-dev $pkgname-doc"
depends="libxext libxt libx11 libsm uclibc"
makedepends="pkgconfig libxext-dev libxt-dev libx11-dev libsm-dev"
source="http://xorg.freedesktop.org/releases/individual/lib/libXmu-$pkgver.tar.bz2
nocxx.patch"
depends_dev="xproto libx11-dev libxt-dev libxext-dev"
build ()
{
cd "$srcdir"/libXmu-$pkgver
patch -p1 < ../nocxx.patch configure || return 1
./configure --prefix=/usr \
--sysconfdir=/etc
make || return 1
make DESTDIR="$pkgdir" install || return 1
install -Dm644 $srcdir/libXmu-$pkgver/COPYING \
$pkgdir/usr/share/licenses/$pkgname/COPYING
}
md5sums="fb372a5f3ab42b5ba16d7af4d833a0cb libXmu-1.0.4.tar.bz2
28513788ba4d556ccd538867dc6205ab nocxx.patch"
--- a/configure 2004-12-07 21:34:23.205172545 +0000
+++ b/configure 2004-12-07 21:37:17.726654782 +0000
@@ -5148,10 +5148,8 @@
:
else
{ { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&5
-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
+See \`config.log' for more details." >&5;}
+ { echo "C++ sucks, ignoring ..." >&5; }; }
fi
ac_ext=cc
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment